• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

adobe suite compatibility

New Here ,
Jul 11, 2022 Jul 11, 2022

Copy link to clipboard

Copied

hi, whats the earliest version of adobe suite that works with high sierra and catalina? thanks in advance

TOPICS
Installation

Views

31

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Jul 11, 2022 Jul 11, 2022

Copy link to clipboard

Copied

LATEST

If you mean legacy Creative Suite, you're out of luck.  Legacy software is not sold or supported and won't run on Catalina or beyond.

 

If you mean current Creative Cloud, you need Catalina or higher.  Adobe expects customers to have modern equipment and a supporting OS -- no more than 2 versions back. 

 

For best results, ensure your computer exceeds the minimum CPU & GPU requirements. Most Creative Cloud apps work on:

  • Windows 11 (64-bit), Windows 10 versions 21H2, 21H1, 20H2, 2004, and 1909 (LTSB branches are not supported;)
  • macOS 12 (Monterey), macOS 11 (Big Sur), macOS 10.16 or 10.15 (Catalina).

https://helpx.adobe.com/creative-cloud/system-requirements.html

Nancy O'Shea, Product User & Community Expert
Alt-Web Design & Publishing ~ Web : Print : Graphics : Media

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines